# Optimove SDK iOS

[![GitHub release (latest by date)](https://img.shields.io/github/v/release/optimove-tech/Optimove-SDK-iOS?style=flat-square)](https://github.com/optimove-tech/Optimove-SDK-iOS/releases/latest)
![GitHub Workflow Status](https://img.shields.io/github/workflow/status/optimove-tech/Optimove-SDK-iOS/CI?style=flat-square)
![Cocoapods platforms](https://img.shields.io/cocoapods/p/OptimoveSDK?color=brightgreen&label=CocoaPods&style=flat-square)
[![Carthage compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat-square)](https://github.com/Carthage/Carthage)
![SwiftPM comppatible](https://img.shields.io/badge/SwiftPM-compatible-success?style=flat-square)
![GitHub](https://img.shields.io/github/license/optimove-tech/Optimove-SDK-iOS?style=flat-square)

The official Optimove iOS integration frameworks are an iOS SDK for sending analytics to an Optimove server, such as:

- Track visitor and customer actions and events
- Trigger Realtime campaigns

More about Optimove CDP (customer data platform) at [optimove.com](https://www.optimove.com)

## Integration Guide

In this guide we will discuss the steps necessary to implement the Optimove iOS SDK for your native application. It will go through the following steps necessary to have the basic & advanced SDK ready to track events on your native applicataion. 

### Basic Setup

1. [Prerequisites](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Prerequisites)
2. [Initializing the SDK](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Initializing-the-SDK)
3. [Managing environments - during integration only](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Managing-environments)
4. [Tracking screen visits](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Tracking-screen-visits)
5. [Customer stitching prerequisite](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Customer-stitching-prerequisite)
6. [Tracking customers](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Tracking-customers)
7. [Submitting to the App Store](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Submitting-to-the-App-Store)

### Advanced Setup

8. [Tracking custom events](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Tracking-custom-events)

### Optipush

1. [Setup](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Optipush-Setup)
2. [Testing](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Optipush-Testing)
3. [Deep links](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Optipush-Deep-links)
4. [Disable push campaign](https://github.com/optimove-tech/Optimove-SDK-iOS/wiki/Optipush-Disable-push-campaign)

## License

OptimoveSDK for iOS is available under the [MIT license](LICENSE).
